> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://useroot.docs.buildwithfern.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://useroot.docs.buildwithfern.com/_mcp/server.

# Toggle webhook active status

POST https://api.useroot.com/api/webhooks/{webhook_id}/toggle

Toggles a webhook configuration's active status.

Reference: https://useroot.docs.buildwithfern.com/api-reference/webhooks-api/toggle-webhook

## Authentication

- `x-api-key` header (required) — RootPay API key sent in the x-api-key header. Keys are environment-scoped: live_* for production, test_* for sandbox.

## Request

### Path parameters

- `webhook_id` (string, required)

## Response

### 200

Webhook configuration toggled successfully

- `data` (object, required)
  - `created_at` (datetime, required)
  - `updated_at` (datetime, required)
  - `id` (string, required)
  - `url` (string, required)
  - `description` (string, required, nullable)
  - `is_active` (boolean, required)
  - `event_types` (list of string, required) — Sorted allowlist of subscribed webhook event types
- `warning` (string, optional, nullable)

## Examples

**Response**

```json
{
  "data": {
    "created_at": "2024-03-20T12:00:00Z",
    "updated_at": "2024-03-20T12:00:00Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "url": "https://example.com/webhook",
    "description": "Payment notifications webhook",
    "is_active": false,
    "event_types": [
      "payin.failed",
      "payin.settled",
      "payout.debited",
      "payout.failed",
      "payout.settled",
      "subaccount.credit_received"
    ]
  }
}
```

**SDK Code**

```python Toggled webhook configuration
import requests

url = "https://api.useroot.com/api/webhooks/webhook_id/toggle"

headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Toggled webhook configuration
const url = 'https://api.useroot.com/api/webhooks/webhook_id/toggle';
const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Toggled webhook configuration
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/webhooks/webhook_id/toggle"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Toggled webhook configuration
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/webhooks/webhook_id/toggle")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Toggled webhook configuration
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.useroot.com/api/webhooks/webhook_id/toggle")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Toggled webhook configuration
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.useroot.com/api/webhooks/webhook_id/toggle', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Toggled webhook configuration
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/webhooks/webhook_id/toggle");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Toggled webhook configuration
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/webhooks/webhook_id/toggle")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```